package com.zcxk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dao.LoginLogMapper;
import com.zcxk.dto.LoginLogDto;
import com.zcxk.entity.LoginLogEntity;
import com.zcxk.service.LoginLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @description 登录日志管理实现类
 * @auto wangli
 * @data 2020-10-27 9:03
 */
@Service("loginLogService")
public class LoginLogServiceImpl implements LoginLogService {

    @Resource
    private LoginLogMapper loginLogMapper;

    @Override
    public LoginLogDto selectById(Long id) {
        return loginLogMapper.selectById(id);
    }

    @Override
    public List<LoginLogDto> selectAll() {
        return loginLogMapper.selectAll();
    }

    @Override
    public List<LoginLogDto> selectList(LoginLogEntity loginLogEntity) {
        return loginLogMapper.selectList(loginLogEntity);
    }

    @Override
    public int insert(LoginLogEntity loginLogEntity) {
        return loginLogMapper.insert(loginLogEntity);
    }

    @Override
    public int batchInsert(List<LoginLogEntity> loginLogEntities) {
        return loginLogMapper.batchInsert(loginLogEntities);
    }

    @Override
    public int update(LoginLogEntity loginLogEntity) {
        return loginLogMapper.update(loginLogEntity);
    }

    @Override
    public int deleteById(Long id) {
        return loginLogMapper.deleteById(id);
    }

    @Override
    public int count() {
        return loginLogMapper.count();
    }

    @Override
    public IPage<LoginLogDto> selectPage(IPage<LoginLogDto> page, LoginLogDto loginLogDto) {
        return loginLogMapper.selectPage(page, loginLogDto);
    }

    @Override
    public List<LoginLogDto> selectListByIds(Long[] Ids) {
        return loginLogMapper.selectListByIds(Ids);
    }
}
